<div class="container-fluid">
  <table class="table table-hover" width="100%">
    <thead>
      <th scope="col">CardType ID</th>
      <th scope="col">Name</th>
      <th scope="col">IsActive</th>
      <th scope="col">Action </th>
    </thead>
    <tbody>
    <tr *ngFor="let card of cardTypes;let i = index">
      <td>
        {{ card.cardTypeId}}
      </td>
      <td >
        {{ card.name}}
      </td>
      <td>
        <input [disabled]='true' type="checkbox"  [(ngModel)]="card.isDeleted">
      </td>
      <td>
        <div>
          <button type="button" class="btn btn-warning float-left" (click)="openDialogView($event, content,card)">
            View
          </button>
        </div>
      </td>
    </tr>
    </tbody>
  </table>
  <div>
    <button type="button" class="btn btn-warning float-left"  (click)="openDialogAdd($event, content);"><span
      class="fa fa-plus-circle">&nbsp;</span> Add Card Type </button>
  </div>
  <!-- modal dialog -->
  <div>
    <ng-template #content let-modal>
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title"> Card Type </h4>
          <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <app-cardtypeaction [cardType]="cardType" [(mode)]="mode"></app-cardtypeaction>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-outline-dark" (click)="modal.close('Close click')">Close</button>
        </div>
      </div>
    </ng-template>
  </div>

</div>

